# $Revision: 1.69 $, $Date: 2002/10/23 10:37:20 $
#
# Conditional build:
# _with_mysql - enables MySQL auth but disables PAM auth
# _with_ldap  - enabled LDAP auth
#
Summary:	Small, fast and secure FTP server
Summary(pl):	May, szybki i bezpieczny serwer FTP
Name:		pure-ftpd
Version:	1.0.12
Release:	5
Epoch:		0
License:	GPL
Group:		Daemons
Source0:	ftp://ftp.pureftpd.org/pub/pure-ftpd/releases/%{name}-%{version}.tar.bz2
Source1:	%{name}.pamd
Source2:	%{name}.init
Source3:	ftpusers.tar.bz2
Patch0:		%{name}-config.patch
URL:		http://www.pureftpd.org/
BuildRequires:	libcap-devel
%{?_with_mysql:BuildRequires:	mysql-devel}
%{?_with_ldap:BuildRequires:	openldap-devel}
BuildRequires:	pam-devel
Prereq:		rc-scripts
Requires(post,preun):/sbin/chkconfig
Provides:	ftpserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	ftpserver
Obsoletes:	anonftp
Obsoletes:	bftpd
Obsoletes:	ftpd-BSD
Obsoletes:	heimdal-ftpd
Obsoletes:	linux-ftpd
Obsoletes:	muddleftpd
Obsoletes:	proftpd
Obsoletes:	proftpd-common
Obsoletes:	proftpd-inetd
Obsoletes:	proftpd-standalone
Obsoletes:	troll-ftpd
Obsoletes:	vsftpd
Obsoletes:	wu-ftpd
Conflicts:	man-pages < 1.51

%define		_sysconfdir	/etc/ftpd

%description
Pure-FTPd is a fast, production-quality, standard-comformant FTP
server, based upon Troll-FTPd. Unlike other popular FTP servers, it
has no known security flaw, it is really trivial to set up and it is
especially designed for modern Linux kernels (setfsuid, sendfile,
capabilities) . Features include PAM support, IPv6, chroot()ed home
directories, virtual domains, built-in LS, anti-warez system, bounded
ports for passive downloads...

%description -l pl
Pure-FTPD to szybki, wysokiej jakoci, odpowiadajcy standardom serwer
FTP bazujcy na Troll-FTPd. W przeciwiestwie do innych serwerw FTP
nie ma znanych luk w bezpieczestwie. Ponadto jest trywialny w
konfiguracji i specjalnie zaprojektowany dla nowych kerneli Linuksa
(setfsuid, sendfile, capabilibies). Moliwoci to wsparcie dla PAMa,
IPv6, chroot()owanych katalogw domowych, virtualne domeny, wbudowany
LS, system anty-warezowy, ograniczanie portw dla pasywnych
pocze...

%prep
%setup -q
%patch0 -p1

%build
%configure \
	%{?_with_mysql:CPPFLAGS="-I%{_includedir}/mysql" --with-mysql} \
	--with-altlog \
	--with-puredb \
	%{?!_with_mysql:--with-pam} \
	--with-cookie \
	--with-throttling \
	--with-ratios \
	--with-quotas \
	--with-ftpwho \
	--with-largefile \
	--with-uploadscript \
	--with-virtualhosts \
	--with-language=english \
	--with-virtualchroot \
	%{?_with_ldap:--with-ldap}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{pam.d,sysconfig,security,rc.d/init.d} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/vhosts,/home/ftp/Incoming}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install contrib/redhat.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/pureftpd.conf
install pureftpd-mysql.conf	 $RPM_BUILD_ROOT%{_sysconfdir}/pureftpd-mysql.conf
touch $RPM_BUILD_ROOT/etc/security/blacklist.ftp

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
if [ -f %{_var}/lock/subsys/%{name} ]; then
        /etc/rc.d/init.d/%{name} restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/%{name} start\" to start PureFTPD daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f %{_var}/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop 1>&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc README* AUTHORS ChangeLog HISTORY NEWS THANKS pure*.conf
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{?!_with_mysql:%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/*}
%{?!_with_mysql:%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/security/blacklist.ftp}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pureftpd.conf
%{?_with_mysql:%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pureftpd-mysql.conf}
%attr(740,root,root) %dir %{_sysconfdir}
%dir %{_sysconfdir}/vhosts
%dir /home/ftp
%attr(775,root,ftp) %dir /home/ftp/Incoming
%{_mandir}/man?/*
%lang(ja) %{_mandir}/ja/man5/ftpusers*
%lang(pl) %{_mandir}/pl/man5/ftpusers*
%lang(pt_BR) %{_mandir}/pt_BR/man5/ftpusers*
%lang(ru) %{_mandir}/ru/man5/ftpusers*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pure-ftpd.spec,v $
Revision 1.69  2002/10/23 10:37:20  ankry
- fixed path in ftpusers.5 man page; rel. 5

Revision 1.68  2002/07/31 12:22:35  blues
- release 4
- fixed small typo in directories making
STBRKJM!

Revision 1.67  2002/07/31 09:33:22  blues
- cosmetic

Revision 1.66  2002/07/31 09:13:33  kloczek
- fixes in %files and use more macros in %install.

Revision 1.65  2002/07/31 08:30:05  kloczek
- release 3: typo in %%define.

Revision 1.64  2002/07/30 23:11:39  kloczek
- apterized and more macros.

Revision 1.63  2002/07/30 12:00:46  qboosh
- cleanup, fixed _with_ldap bcond; release 2

Revision 1.62  2002/07/20 11:53:24  areq
- 1.0.12, STBR

Revision 1.61  2002/07/03 09:24:05  wolf
- spelling

Revision 1.60  2002/06/10 00:17:49  ankry
- added ftpusers(5) man pages
- Conflicts: man-pages < 1.51
- release 4

Revision 1.59  2002/06/05 18:56:31  kloczek
- use new %doc.

Revision 1.58  2002/06/01 10:30:14  qboosh
- Obsoletes: vsftpd
- release 3

Revision 1.57  2002/05/15 10:22:18  areq
- 740 dir /etc/ftpd
- Release 2

Revision 1.56  2002/05/09 15:50:10  pioklo
- up to 1.0.11 , fix Source0 ,STBR

Revision 1.55  2002/04/12 12:55:06  qboosh
- Obsoletes: proftpd-{common,inetd,standalone}; release 2

Revision 1.54  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.53  2002/03/23 21:51:47  areq
- 1.0.10 - stable release, STBR
- Epoch 0 (for allow upgrade from devel 1.1.0)

Revision 1.52  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.51  2002/02/15 09:44:42  qboosh
- added (conditional) LDAP support

Revision 1.50  2002/01/18 20:13:28  qboosh
- standarized changelog preample

Revision 1.49  2002/01/09 23:23:29  kloczek
- updated to 1.1.0 (new "virtual chroot" feature).

Revision 1.48  2001/12/27 14:05:05  areq
- 1.0.7, STBR

Revision 1.47  2001/11/22 09:11:50  mkierus
- updated to 1.0.3
- removed Patch1 - not needed

Revision 1.46  2001/11/11 23:26:37  misiek
- enable quotas
- added rename fix
- pureftpd.passwd now in /etc/ftpd
- release 2

Revision 1.45  2001/10/31 22:16:19  areq
- 1.0.1, STBR

Revision 1.44  2001/10/26 09:42:35  misiek
- fixed source + proper tar.gz

Revision 1.43  2001/10/25 21:56:16  misiek
- final 1.0

Revision 1.42  2001/10/19 19:02:56  misiek
- include utilities from bin directory
- enable pure-db
- release 3

Revision 1.41  2001/10/08 11:20:24  qboosh
- changed Incoming dir owner to root
- enabled anti-warez in config (in case someone enables upload)
- release 2

Revision 1.40  2001/10/05 07:31:48  areq
- 0.99.9, STBR

Revision 1.39  2001/09/29 17:39:50  areq
- 0.99.4

Revision 1.38  2001/09/28 04:24:13  kloczek
- updated to 0.99.3.

Revision 1.37  2001/09/25 12:38:03  qboosh
- Prereq: rc-scripts, /sbin/chkconfig (no longer inetdaemon and rc-inetd)
- run chkconfig --del only on remove, not upgrade
- Obsoletes: muddleftp
- release 2

Revision 1.36  2001/08/27 16:37:25  kloczek
- cosmetics.

Revision 1.35  2001/08/26 18:48:56  misiek
pure-ftpd is now standalone with external config file

Revision 1.34  2001/08/20 10:29:03  areq
- 0.99.1, STBR

Revision 1.33  2001/07/28 21:37:30  blues
- typo: %s/sever"/server"/

Revision 1.32  2001/07/26 09:09:58  areq
- 0.99

Revision 1.31  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.29  2001/06/20 09:39:01  kloczek
- updated to 0.98.7.

Revision 1.28  2001/05/30 02:57:54  kloczek
- updated to 0.98.3.

Revision 1.27  2001/05/09 16:20:35  misiek
- updated to 0.98.1
- enabled uploadscript

Revision 1.26  2001/04/24 23:10:16  areq
- fix %files
- Release 2 - STBR

Revision 1.25  2001/04/22 19:55:52  misiek
config file idea dropper (due to perl requirement)

Revision 1.24  2001/04/22 19:51:40  misiek
typo

Revision 1.23  2001/04/22 19:51:24  misiek
configuration file added

Revision 1.22  2001/04/22 19:34:58  misiek
- updated to 0.97.7
- rebuild autostuff
- enable more features (throttling, ratios, ftpwho, largefile)
- removed ftp/pub and replaces ftp/upload by ftp/Incoming
- release 1

Revision 1.21  2001/04/17 00:34:51  areq
- 0.97.6

Revision 1.20  2001/04/13 03:44:06  kloczek
- updated to 0.97.5.

Revision 1.19  2001/04/10 20:16:16  areq
- 0.97.4, STBR

Revision 1.18  2001/03/29 16:17:15  areq
- 0.97.2

Revision 1.17  2001/03/27 19:50:13  areq
- 0.97.1

Revision 1.16  2001/03/26 18:00:44  areq
- 0.97

Revision 1.15  2001/03/23 19:34:34  areq
- 0.96.2, STBR

Revision 1.14  2001/03/17 13:27:00  malekith
- updated to 0.96.1, security update, STBR.

Revision 1.13  2001/03/12 21:01:43  areq
- 0.95.2, stb

Revision 1.12  2001/03/10 13:30:20  areq
- 0.95.1

Revision 1.11  2001/03/06 12:35:46  areq
- add --with-pam

Revision 1.10  2001/03/06 12:21:59  areq
- 0.95

Revision 1.9  2001/01/27 00:14:37  areq
- back to  0.93 ;(.

Revision 1.8  2001/01/26 23:32:00  areq
- 0.95.pre2

Revision 1.7  2001/01/24 22:29:58  areq
- 0.93

Revision 1.6  2001/01/24 21:56:06  waszi

- small fixes

Revision 1.5  2001/01/23 19:54:32  waszi

- typo

Revision 1.4  2001/01/23 00:29:49  kloczek
- heimdal-ftpd added to Obsoletes.

Revision 1.3  2001/01/23 00:17:46  kloczek
- proftpd added to Obsoletes.

Revision 1.2  2001/01/23 00:06:06  kloczek
- added libcap-devel to BuildRequires,
- removed COPYING from %doc (clear copyright stattment is in License field).

Revision 1.1  2001/01/22 13:20:23  misiek
initial release
